WCSTOD(3)

NAME
wcstod, wcstof, wcstold - convert wide-character string to double, float or long double

SYNOPSIS
#include <wchar.h>
double
wcstod(const wchar_t * restrict nptr, wchar_t ** restrict endptr);
float
wcstof(const wchar_t * restrict nptr, wchar_t ** restrict endptr);
long double
wcstold(const wchar_t * restrict nptr, wchar_t ** restrict endptr);

DESCRIPTION
The wcstod(), wcstof(), and wcstold() functions are the wide-character versions of the strtod(), strtof(), and strtold() functions. Refer to strtod(3) for details.

SEE ALSO
strtod(3), wcstol(3)

STANDARDS
The wcstod() function conforms to isoC-amd1. The wcstof() and wcstold() functions conform to isoC-99.